Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoSelectNumber< EOT > Class Template Reference

eoSelectNumber selects many individuals using eoSelectOne as it's mechanism. More...

`#include <eoSelectNumber.h>`

Inheritance diagram for eoSelectNumber< EOT >:

List of all members.

## Public Member Functions
| eoSelectNumber (eoSelectOne< EOT > &_select, unsigned _nb_to_select=1)
| init
virtual void | operator() (const eoPop< EOT > &_source, eoPop< EOT > &_dest)
| The implementation repeatidly selects an individual.
## Private Attributes
eoSelectOne< EOT > & | select
unsigned | nb_to_select

## Detailed Description

### template<class EOT>
class eoSelectNumber< EOT >

eoSelectNumber selects many individuals using eoSelectOne as it's mechanism.

Therefore eoSelectNumber needs an eoSelectOne in its ctor

It will select a fixed number of individuals and pushes them to the back of the destination population.

Definition at line 42 of file eoSelectNumber.h.

## Member Function Documentation

template<class EOT>
virtual void eoSelectNumber< EOT >::operator() | ( | const eoPop< EOT > & | _source,
|  | eoPop< EOT > & | _dest
| ) | `[inline, virtual]`

  | The implementation repeatidly selects an individual. Parameters:
  | _source | the source population
  | _dest | the resulting population (size of this population is the number of times eoSelectOne is called. It empties the destination and adds the selection into it)
Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >. Definition at line 55 of file eoSelectNumber.h. References eoSelectOne< EOT, WorthT >::setup().

The documentation for this class was generated from the following file:

- eoSelectNumber.h